#!/bin/bash
killall -q polybar

if type "xrandr"; then
  for m in $(xrandr --query | grep " connected" | cut -d" " -f1); do
    MONITOR=$m polybar --reload obsidianblk >>/tmp/polybar_obsidianblk.log 2>&1 & disown
  done
else
  polybar --reload obsidianblk >>/tmp/polybar_obsidianblk.log 2>&1 & disown
fi


